Subject: Re: [nemo] SPD entries for routing protocol messages

From: Mattias Pettersson <[email-masked]>
Date: Tue, 16 Dec 2003 14:52:54 +0100

Yasuhiro Ohara wrote:
>>>>if we assume the bi-directional tunnel to be a virtual link,
>>>>then RFC 2740 (OSPFv3) says
>>>>
>>>>   On virtual links, global scope or site-local IP addresses must be
>>>>   used as the source for OSPF protocol packets.
>>>>
>>>
>>>Not that you are responsible for the wording of RFC 2740, but I'm 
>>>curious why virtual links use the exception of global addresses. In 
>>>IPv6, shouldn't all links be able to use link-local addresses? It is a 
>>>more preferred approach, as you wouldn't have to assign a global prefix 
>>>to that link, but instead just use link-local addresses. Point-to-point 
>>>links between routers should not require global addresses.
>>>
>>>Now in this case maybe you can use the packet design as you speficy 
>>>below, but are the inner packet addresses really the best choices? The 
>>>addresses HA and MR_HoA actually belong to another link (the physical 
>>>home link in case we don't have a virtual home link).
>>
>>I am fine with using link local addresses inside the tunnel.
>>dont know why RFC 2740 says "global scope or site-local IP
>>addresses must be used as the source for OSPF protocol
>>packets".
>>
>>something that needs clarification in the OSPF WG.
> 
> 
> Hi,
> 
> Don't know about MIP (HA/CoA) thing but ...
> 
> Virtual link does not involve packet encapsulation.
> It is just an adjacency forming (routing information exchange)
> between routers of multi-hop far away.

OK, I see. Not quite what neither me nor Vijay envisioned.

> 
> You can't use linklocal address as neither source nor
> destination address of the packet that traverse multi-hop.
> If linklocal addresses are used in those field,
> routers drops (rejects) the packet according to IPv6 spec,
> ... you know ;p)

Seems true...

So if I quote what Vijay said:
 >>>>if we assume the bi-directional tunnel to be a virtual link,
 >>>>then RFC 2740 (OSPFv3) says

doesn't hold any longer, as OSPF doesn't deal with tunnels (not that I 
found anything about it while browsing through the spec).

I don't think that a virtual link can be used just like a tunnel would. 
Within a tunnel I thought we could run OSPFv3 with link-local addresses 
and make OSPFv3 unaware of that the tunnel moves when the MR moves.

But with virtual links the OSPFv3 implementation must now deal with that 
the MR end of the link changes its IP address. I'd prefer not to go this 
path; routing protocols should not have to be modified to run together 
with NEMO.

/Mattias